/* Morgentau for Bowtie */
/* Made by Adrian Fahrbach */

/*
Hey there!
Seems like you're taking a look at the javascript...
Feel free to copy anything you need!
Have a nice day,
Adrian
*/




var currentTimePassed = 0;
var savedVolume = 0;
var introductionStep = 1;
var currentTrackLength = 0;
var currentTrackGenre = 0;
var currentTrackArtist = 0;
var currentTrackTitle = 0;
var artistOverflowing = 0;
var titleOverflowing = 0;
var resetStatus = 0;





/* Set this bitch up */

function playerSetup()
{
	artworkUpdate();
	checkSettings();
	setIntroduction();
	playStateUpdate();
}

/* Status update */

function statusUpdate()
{
	volumeUpdate();
	updateProgress();
}



/* Introducing */

function setIntroduction()
{	
	if (Bowtie.preferenceForKey("firstTime") == undefined || Bowtie.preferenceForKey("firstTime") == "Yes")
	{
		Bowtie.setPreferenceForKey("No", "firstTime");
		document.getElementById("theme").classList.add("introduction");
		var xOffset = Bowtie.currentFrame()[1], yOffset = Bowtie.currentFrame()[2];
		Bowtie.setFrame(xOffset, yOffset, 400, 375);	
	}
}

function previousStep()
{
	document.getElementById("cursor").classList.add("hidden");
		
	if (introductionStep == 5)
	{
		introductionStep = 4;
		document.getElementById("description").className = "left5";
		document.getElementById("theme").classList.remove("step5");
		document.getElementById("theme").classList.add("step4");
		document.getElementById("coverImg").className = "coverMouseOn";
		document.getElementById("top").className = "topMouseOn";
		document.getElementById("bottom").classList.remove("bottomMouseOut");
		document.getElementById("bottom").classList.add("bottomMouseOn");
		document.getElementById("volumeIcon").classList.remove("VolumeStateOff");
		document.getElementById("bottom").classList.remove("VolumeStateOff");
		document.getElementById("bottom").classList.add("VolumeStateOn");
		document.getElementById("bottom").classList.remove("leftVolumeState");
		document.getElementById("bottom").classList.remove("leftSettingsState");
	}
	
	else if (introductionStep == 4)
	{
		introductionStep = 3;
		document.getElementById("description").className = "left4";
		document.getElementById("theme").classList.remove("step4");
		document.getElementById("theme").classList.add("step3");
		document.getElementById("bottom").classList.remove("VolumeStateOn");
		document.getElementById("bottom").classList.add("VolumeStateOff");
		document.getElementById("bottom").classList.add("leftVolumeState");
		document.getElementById("bottom").classList.remove("SettingsStateOff");
		document.getElementById("bottom").classList.add("SettingsStateOn");
		document.getElementById("bottom").classList.remove("leftVolumeState");
		document.getElementById("bottom").classList.remove("leftSettingsState");
	}

	else if (introductionStep == 3)
	{
		introductionStep = 2;
		document.getElementById("description").className = "left3";
		document.getElementById("theme").classList.remove("step3");
		document.getElementById("theme").classList.add("step2");
		document.getElementById("bottom").classList.remove("SettingsStateOn");
		document.getElementById("bottom").classList.add("SettingsStateOff");
		document.getElementById("bottom").classList.add("leftSettingsState");
	}

	else if (introductionStep == 2)
	{
		introductionStep = 1;
		document.getElementById("description").className = "left2";
		document.getElementById("theme").classList.remove("step2");
		document.getElementById("theme").classList.add("step1");
		document.getElementById("coverImg").className = "coverMouseOut";
		document.getElementById("top").className = "topMouseOut";
		document.getElementById("bottom").classList.remove("bottomMouseOn");
		document.getElementById("bottom").classList.add("bottomMouseOff");
		document.getElementById("bottom").classList.remove("VolumeStateOn");
		document.getElementById("bottom").classList.add("VolumeStateOff");
		document.getElementById("bottom").classList.remove("SettingsStateOn");
		document.getElementById("bottom").classList.add("SettingsStateOff");
	}

	else
	{
		document.getElementById("theme").classList.remove("introduction");
		var xOffset = Bowtie.currentFrame()[1], yOffset = Bowtie.currentFrame()[2];
		Bowtie.setFrame(xOffset, yOffset, 280, 280);
	}
}

function nextStep()
{
	document.getElementById("cursor").classList.remove("hidden");
	document.getElementById("click").addEventListener("webkitAnimationStart", function(){doSteps();});
	document.getElementById("click").addEventListener("webkitAnimationIteration", function(){doubleClick();});
	document.getElementById("description").className = "";
		
	if (introductionStep == 1)
	{
		introductionStep = 2;
		document.getElementById("theme").classList.remove("step0");
		document.getElementById("theme").classList.remove("step1");
		document.getElementById("theme").classList.add("step2");
	}
	
	else if (introductionStep == 2)
	{
		if (document.getElementById("top").className == "topMouseOut")
		{
			document.getElementById("coverImg").className = "coverMouseOn";
			document.getElementById("top").className = "topMouseOn";
			document.getElementById("bottom").classList.remove("bottomMouseOut");
			document.getElementById("bottom").classList.add("bottomMouseOn");
			document.getElementById("volumeIcon").classList.remove("VolumeStateOff");
		}

		introductionStep = 3;
		document.getElementById("theme").classList.remove("step2");
		document.getElementById("theme").classList.add("step3");
	}

	else if (introductionStep == 3)
	{
		if (document.getElementById("bottom").className == "SettingsStateOff")
		{
			document.getElementById("bottom").classList.remove("SettingsStateOff");
			document.getElementById("bottom").classList.add("SettingsStateOn");
			document.getElementById("bottom").classList.remove("leftVolumeState");
			document.getElementById("bottom").classList.remove("leftSettingsState");
		}
		
		introductionStep = 4;
		document.getElementById("theme").classList.remove("step3");
		document.getElementById("theme").classList.add("step4");
	}

	else if (introductionStep == 4)
	{
		introductionStep = 5;
		document.getElementById("theme").classList.remove("step4");
		document.getElementById("theme").classList.add("step5");
	}

	else
	{
		document.getElementById("theme").classList.remove("introduction");
		var xOffset = Bowtie.currentFrame()[1], yOffset = Bowtie.currentFrame()[2];
		Bowtie.setFrame(xOffset, yOffset, 280, 280);
	}
}

function doSteps()
{
	if (introductionStep == 1) {}
	
	else if (introductionStep == 2)	
	{
		document.getElementById("coverImg").className = "coverMouseOn";
		document.getElementById("top").className = "topMouseOn";
		document.getElementById("bottom").classList.remove("bottomMouseOut");
		document.getElementById("bottom").classList.add("bottomMouseOn");
		document.getElementById("volumeIcon").classList.remove("VolumeStateOff");
	}
	
	else if (introductionStep == 3)
	{
		document.getElementById("bottom").classList.remove("SettingsStateOff");
		document.getElementById("bottom").classList.add("SettingsStateOn");
		document.getElementById("bottom").classList.remove("leftVolumeState");
		document.getElementById("bottom").classList.remove("leftSettingsState");
	}
	
	else if (introductionStep == 4)
	{
	 	document.getElementById("bottom").classList.remove("SettingsStateOn");
		document.getElementById("bottom").classList.add("SettingsStateOff");
		document.getElementById("bottom").classList.add("leftSettingsState");
	}
	
	else
	{
		document.getElementById("bottom").classList.add("leftVolumeState");
		document.getElementById("coverImg").className = "coverMouseOut";
		document.getElementById("top").className = "topMouseOut";
		document.getElementById("bottom").classList.remove("bottomMouseOn");
		document.getElementById("bottom").classList.add("bottomMouseOff");
		document.getElementById("bottom").classList.remove("VolumeStateOn");
		document.getElementById("bottom").classList.add("VolumeStateOff");
		document.getElementById("bottom").classList.remove("SettingsStateOn");
		document.getElementById("bottom").classList.add("SettingsStateOff");
	}
}

function doubleClick()
{
	document.getElementById("bottom").classList.remove("VolumeStateOff");
	document.getElementById("bottom").classList.add("VolumeStateOn");
	document.getElementById("bottom").classList.remove("leftVolumeState");
	document.getElementById("bottom").classList.remove("leftSettingsState");
}

function resetIntroduction1()
{
	if (resetStatus == 0)
	{
		resetStatus ++
	}
	
	else if (resetStatus == 4)
	{
		Bowtie.setPreferenceForKey("Yes", "firstTime");
	}
	
	else
	{
		resetStatus = 0;
	}
}

function resetIntroduction2()
{
	if (resetStatus > 0 && resetStatus < 4)
	{
		resetStatus ++
	}
	
	else
	{
		resetStatus = 0;
	}
}





/* Artwork functions */

function artworkUpdate(artURL)
{
	if (artURL == "")
	{
		if (currentTrackGenre == "Podcast")
		{
			document.getElementById("coverImg").style.backgroundImage = "url(images/podcast.png)";
			document.getElementById("coverImgBlurred1").src = "images/podcast.png";
			document.getElementById("background").style.background = "#b150e2";
		}
		
		else
		{
			document.getElementById("coverImg").style.backgroundImage = "url(images/noart.png)";
			document.getElementById("coverImgBlurred1").src = "images/noart.png";
			document.getElementById("background").style.background = "url(images/noart_bg.png)";
		}
	}
	
	else
	{	
		document.getElementById("coverImg").style.backgroundImage = "url("+artURL+")";
		document.getElementById("coverImgBlurred1").src = artURL;
		document.getElementById("background").style.background = "#535353";
	}
}





/* Play/pause button */

function playStateUpdate()
{
	var pState = Player.playState();
	
	if (pState == 1)
	{
		document.getElementById("PlayPauseButton").className = "playing";
	}
	
	else
	{
		document.getElementById("PlayPauseButton").className = "paused";
	}
}





/* Previous/Next button */

function doNextTrack()
{
	Player.nextTrack();
	$('#NextButton').addClass('running');
	setTimeout(function(){$('#NextButton').removeClass('running')}, 350);
}

function doPreviousTrack()
{
	Player.previousTrack();
	$('#PreviousButton').addClass('running');
	setTimeout(function(){$('#PreviousButton').removeClass('running')}, 350);
}





/* Track Info */

function trackUpdate(currentTrack)
{	
	if (typeof(currentTrack) === 'undefined')
	{
		document.getElementById("artist").innerHTML = "Nothing";
		document.getElementById("title").innerHTML = "playing";
	}
	
	else
	{
		document.getElementById("artist").innerHTML = currentTrack.propertyHTML("artist");
		document.getElementById("title").innerHTML = currentTrack.propertyHTML("title");
		currentTrackLength = [parseInt(currentTrack.propertyHTML("length"))]
		currentTrackGenre = [currentTrack.propertyHTML("genre")]
		currentTrackArtist = [currentTrack.propertyHTML("artist")]
		currentTrackTitle = [currentTrack.propertyHTML("title")]
		currentTimePassed = [0];
	}
	
	fixOverflow();
}





/* Progress bar */

function updateProgress()
{
	if (Player.playState() == 1)
	{
		currentTimePassed = [parseInt(currentTimePassed) + 1]
		currentPlayerPosition = (100 / currentTrackLength) * currentTimePassed;
	
		if (currentPlayerPosition > 100)
		{
			currentPlayerPosition = 100;
		}

		document.getElementById("progressBar").setAttribute("style","width:" + currentPlayerPosition + "%;");
	}
}





/* SlideIn */

function SlideIn()
{
	if (document.getElementById("top").className == "topMouseOut")
	{
		document.getElementById("coverImg").className = "coverMouseOn";
		document.getElementById("top").className = "topMouseOn";
		document.getElementById("bottom").classList.remove("bottomMouseOut");
		document.getElementById("bottom").classList.add("bottomMouseOn");
		document.getElementById("volumeIcon").classList.remove("VolumeStateOff");	
		
		if (artistOverflowing == 1)
		{
			var artistInner = document.getElementById("overflowingArtist");
			artistInner.classList.remove("overflowingArtist");
			artistInner.offsetWidth = artistInner.offsetWidth;
			artistInner.classList.add("overflowingArtist");
		}
		
		if (titleOverflowing == 1)
		{
			var titleInner = document.getElementById("overflowingTitle");
			titleInner.classList.remove("overflowingTitle");
			titleInner.offsetWidth = titleInner.offsetWidth;
			titleInner.classList.add("overflowingTitle");
		}
	}
	
	else
	{
		if ($('#bottom').hasClass('VolumeStateOn')) {
			document.getElementById("bottom").classList.add("leftVolumeState");
		}
		
		if ($('#bottom').hasClass('SettingsStateOn')) {
			document.getElementById("bottom").classList.add("leftSettingsState");
		}
		
		document.getElementById("coverImg").className = "coverMouseOut";
		document.getElementById("top").className = "topMouseOut";
		document.getElementById("bottom").classList.remove("bottomMouseOn");
		document.getElementById("bottom").classList.add("bottomMouseOff");
		document.getElementById("bottom").classList.remove("VolumeStateOn");
		document.getElementById("bottom").classList.add("VolumeStateOff");
		document.getElementById("bottom").classList.remove("SettingsStateOn");
		document.getElementById("bottom").classList.add("SettingsStateOff");
	}
}





/* Scroll text when it overflows */

function fixOverflow()
{
	var artist = document.getElementById("artist");
	var title = document.getElementById("title");
	
	if (artist.clientWidth > 270)
	{
		var artistWidth = artist.clientWidth;
		artist.style.margin = "0px 0px";
		artist.innerHTML = '<div id="overflowingArtist">&nbsp;&nbsp;|&nbsp;&nbsp;'
		+ currentTrackArtist + '&nbsp;&nbsp;|&nbsp;&nbsp;' + currentTrackArtist + '</div>';
		var artistInner = document.getElementById("overflowingArtist");
		artistInner.style.left = - artistInner.clientWidth / 2 - 14 + 'px';
		setTimeout(function() { artistInner.classList.add('overflowingArtist'); },0);
		artistOverflowing = [1];
	}
	
	else
	{
		artist.style.margin = "0px 5px";
		artistOverflowing = [0];
	}
	
	if (title.clientWidth > 270)
	{
		var titleWidth = title.clientWidth;
		title.style.margin = "0px 0px";
		title.innerHTML = '<div id="overflowingTitle">&nbsp;&nbsp;|&nbsp;&nbsp;'
		+ currentTrackTitle + '&nbsp;&nbsp;|&nbsp;&nbsp;' + currentTrackTitle + '</div>';
		var titleInner = document.getElementById("overflowingTitle");
		titleInner.style.left = - titleInner.clientWidth / 2 - 11 + 'px';
		setTimeout(function() { titleInner.classList.add('overflowingTitle'); },0);
		titleOverflowing = [1];
	}
	
	else
	{
		title.style.margin = "0px 5px";
		titleOverflowing = [0];
	}
}





/* Open volume settings */

function openVolume()
{
	if ($('#bottom').hasClass('VolumeStateOff'))
	{
		document.getElementById("bottom").classList.remove("VolumeStateOff");
		document.getElementById("bottom").classList.add("VolumeStateOn");
		document.getElementById("bottom").classList.remove("leftVolumeState");
		document.getElementById("bottom").classList.remove("leftSettingsState");
	}
	
	else
	{
		document.getElementById("bottom").classList.remove("VolumeStateOn");
		document.getElementById("bottom").classList.add("VolumeStateOff");
		document.getElementById("bottom").classList.add("leftVolumeState");
		document.getElementById("volumeIcon").classList.remove("delta1");
		document.getElementById("volumeIcon").classList.remove("delta2");
		document.getElementById("volumeIcon").classList.remove("delta3");
		document.getElementById("volumeIcon").classList.remove("delta4");
		document.getElementById("volumeIcon").classList.remove("delta5");
		document.getElementById("volumeIcon").classList.remove("delta6");
		document.getElementById("volumeIcon").classList.remove("delta7");
	}
}




/* Volume Slider */

$(function() {  
  
    var slider = $('#volumeSlider'),  
        tooltip = $('.tooltip'); 
  
    tooltip.hide();  
  
    slider.slider({  
        range: "min",  
        min: 1,
        max: 160,  
        value: 35,  
  
        start: function(event,ui) {  
          tooltip.fadeIn('fast');  
        },  

        change: function(event, ui) {  
  
            var value = slider.slider('value'), name = document.getElementById('volumeIcon').getAttribute('name');

            if ((value <= 5) && (value != 1)) { $( "#volumeSlider" ).slider( "value", 1 ); var value = slider.slider('value'); };
            if ((value >= 155) && (value != 160)) { $( "#volumeSlider" ).slider( "value", 160 ); var value = slider.slider('value'); };
  
            if (value >= 128) {
            		 if (name == "volume5") { document.getElementById("volumeIcon").className = "delta1 volume6"; }
            	else if (name == "volume4") { document.getElementById("volumeIcon").className = "delta2 volume6"; }
            	else if (name == "volume3") { document.getElementById("volumeIcon").className = "delta3 volume6"; }
            	else if (name == "volume2") { document.getElementById("volumeIcon").className = "delta4 volume6"; }
            	else if (name == "volume1") { document.getElementById("volumeIcon").className = "delta7 volume6"; }
				document.getElementById("volumeIcon").setAttribute("name","volume6");
				Player.setVolume(value*0.625);
            }
            
            else if (value >= 96) {    
            		 if ((name == "volume6") || (name == "volume4")) { document.getElementById("volumeIcon").className = "delta1  volume5"; }
            	else if (name == "volume3") { document.getElementById("volumeIcon").className = "delta2  volume5"; }
            	else if (name == "volume2") { document.getElementById("volumeIcon").className = "delta3  volume5"; }
            	else if (name == "volume1") { document.getElementById("volumeIcon").className = "delta6  volume5"; }
				document.getElementById("volumeIcon").setAttribute("name","volume5");
				Player.setVolume(value*0.625);
            }
            
            else if (value >= 64) {
            		 if ((name == "volume6") || (name == "volume2")) { document.getElementById("volumeIcon").className = "delta2  volume4"; }
            	else if ((name == "volume5") || (name == "volume3")) { document.getElementById("volumeIcon").className = "delta1 volume4"; }
            	else if (name == "volume1") { document.getElementById("volumeIcon").className = "delta5 volume4"; }
				document.getElementById("volumeIcon").setAttribute("name","volume4");
				Player.setVolume(value*0.625);
            }
            
            else if (value >= 32) {
            		 if (name == "volume6") { document.getElementById("volumeIcon").className = "delta3 volume3"; }
            	else if (name == "volume5") { document.getElementById("volumeIcon").className = "delta2 volume3"; }
            	else if (name == "volume1") { document.getElementById("volumeIcon").className = "delta4 volume3"; }
            	else if ((name == "volume4") || (name == "volume2")) { document.getElementById("volumeIcon").className = "delta1 volume3"; }
				document.getElementById("volumeIcon").setAttribute("name","volume3");
				Player.setVolume(value*0.625);
            }
            
            else if (value >= 6) {
            		 if (name == "volume6") { document.getElementById("volumeIcon").className = "delta4 volume2"; }
            	else if (name == "volume5") { document.getElementById("volumeIcon").className = "delta3 volume2"; }
            	else if (name == "volume4") { document.getElementById("volumeIcon").className = "delta2 volume2"; }
            	else if (name == "volume3") { document.getElementById("volumeIcon").className = "delta1 volume2"; }
            	else if (name == "volume1") { document.getElementById("volumeIcon").className = "delta3 volume2"; }
				document.getElementById("volumeIcon").setAttribute("name","volume2");
				Player.setVolume(value*0.625);
            } 
            
            else {
            		 if (name == "volume6") { document.getElementById("volumeIcon").className = "delta7 volume1"; }
            	else if (name == "volume5") { document.getElementById("volumeIcon").className = "delta6 volume1"; }
            	else if (name == "volume4") { document.getElementById("volumeIcon").className = "delta5 volume1"; }
            	else if (name == "volume3") { document.getElementById("volumeIcon").className = "delta4 volume1"; }
            	else if (name == "volume2") { document.getElementById("volumeIcon").className = "delta3 volume1"; }
				document.getElementById("volumeIcon").setAttribute("name","volume1");
				Player.setVolume(0);
            };  
  
        },  
  
        stop: function(event,ui) {  
          tooltip.fadeOut('fast');  
        },  
    });  
  
});  


/* Update volume */

function volumeUpdate()
{
	var playerVolume = Player.volume();
	var sliderValue = $('#volumeSlider').slider("value");

	var sliderVolume = sliderValue / 1.6 ;

	if ( Math.abs(parseInt(playerVolume) - parseInt(sliderVolume)) > 2 )
	{	
		if (playerVolume >= 80)
		{
		    document.getElementById("volumeIcon").className = "delta7 volume6";
			document.getElementById("volumeIcon").setAttribute("name","volume6");
			$( "#volumeSlider" ).slider( "value", playerVolume * 1.6 );
		}
		
		else if (playerVolume >= 60)
		{    
		    document.getElementById("volumeIcon").className = "delta6 volume5";
			document.getElementById("volumeIcon").setAttribute("name","volume5");
			$( "#volumeSlider" ).slider( "value", playerVolume * 1.6 );
		}
		
		else if (playerVolume >= 40)
		{
		    document.getElementById("volumeIcon").className = "delta5 volume4";
			document.getElementById("volumeIcon").setAttribute("name","volume4");
			$( "#volumeSlider" ).slider( "value", playerVolume * 1.6 );
		}
		
		else if (playerVolume >= 20)
		{
		    document.getElementById("volumeIcon").className = "delta4 volume3";
			document.getElementById("volumeIcon").setAttribute("name","volume3");
			$( "#volumeSlider" ).slider( "value", playerVolume * 1.6 );
		}
		
		else if (playerVolume >= 4)
		{
		    document.getElementById("volumeIcon").className = "delta3 volume2";
			document.getElementById("volumeIcon").setAttribute("name","volume2");
			$( "#volumeSlider" ).slider( "value", playerVolume * 1.6 );
		} 
		
		else 
		{
		    document.getElementById("volumeIcon").className = "delta1 volume1";
			document.getElementById("volumeIcon").setAttribute("name","volume1");
			$( "#volumeSlider" ).slider( "value", playerVolume * 1.6 );
		}
	}
}


/* Mute */

function muteUnmute()
{
	var playerVolume = Player.volume();
	
	if (playerVolume == 0)
	{
	    Player.setVolume(parseInt(savedVolume));
	    volumeUpdate();
	}	
	
	else
	{
		if (playerVolume >= 80) 	 { document.getElementById("volumeIcon").className = "delta7 volume1"; }
		else if (playerVolume >= 60) { document.getElementById("volumeIcon").className = "delta6 volume1"; }		
		else if (playerVolume >= 40) { document.getElementById("volumeIcon").className = "delta5 volume1"; }
		else if (playerVolume >= 20) { document.getElementById("volumeIcon").className = "delta4 volume1"; }
		else if (playerVolume >= 4)  { document.getElementById("volumeIcon").className = "delta3 volume1"; }
		
		savedVolume = [playerVolume]
		Player.setVolume(0);
		$( "#volumeSlider" ).slider( "value", 0 );
	}
}





/* Open settings */

function openSettings()
{
	if ($('#bottom').hasClass('SettingsStateOff'))
	{
		document.getElementById("bottom").classList.remove("SettingsStateOff");
		document.getElementById("bottom").classList.add("SettingsStateOn");
		document.getElementById("bottom").classList.remove("leftVolumeState");
		document.getElementById("bottom").classList.remove("leftSettingsState");
	}
	
	else
	{
		document.getElementById("bottom").classList.remove("SettingsStateOn");
		document.getElementById("bottom").classList.add("SettingsStateOff");
		document.getElementById("bottom").classList.add("leftSettingsState");
	}
}




/* --- Preferences --- */

function checkSettings()
{
	if (Bowtie.preferenceForKey("themeColor") == "light")
	{
		document.getElementById("themeButton").classList.add("on");
		document.getElementById("content").classList.add("lightTheme");		
	}
	
	if (Bowtie.preferenceForKey("slowAnimations") == "on")
	{
		document.getElementById("speedButton").classList.add("on");
		document.getElementById("content").classList.add("fastAnimations");		
	}
	
	if (Bowtie.preferenceForKey("disableBlur") == "on")
	{
		document.getElementById("blurButton").classList.add("on");
		document.getElementById("content").classList.add("noBlur");	
	}
	
	if (Bowtie.preferenceForKey("hideProgress") == "on")
	{
		document.getElementById("progressButton").classList.add("on");
		document.getElementById("content").classList.add("noProgress");		
	}
}

function changeThemeColor() 
{
	if (Bowtie.preferenceForKey("themeColor") == "light")
	{
		document.getElementById("themeButton").classList.remove("on");
		document.getElementById("content").classList.remove("lightTheme");
		Bowtie.setPreferenceForKey("dark", "themeColor");
	}
	
	else
	{
		document.getElementById("themeButton").classList.add("on");
		document.getElementById("content").classList.add("lightTheme");
		Bowtie.setPreferenceForKey("light", "themeColor");
	}
}

function changeAnimationSpeed() 
{
	if (Bowtie.preferenceForKey("slowAnimations") == "on")
	{
		document.getElementById("speedButton").classList.remove("on");
		document.getElementById("content").classList.remove("fastAnimations");
		Bowtie.setPreferenceForKey("off", "slowAnimations");
	}
	
	else
	{
		document.getElementById("speedButton").classList.add("on");
		document.getElementById("content").classList.add("fastAnimations");
		Bowtie.setPreferenceForKey("on", "slowAnimations");
	}
}

function changeBlur() 
{
	if (Bowtie.preferenceForKey("disableBlur") == "on")
	{
		document.getElementById("blurButton").classList.remove("on");
		document.getElementById("content").classList.remove("noBlur");
		Bowtie.setPreferenceForKey("off", "disableBlur");
	}
	
	else
	{
		document.getElementById("blurButton").classList.add("on");
		document.getElementById("content").classList.add("noBlur");
		Bowtie.setPreferenceForKey("on", "disableBlur");
	}
}

function changeProgress() 
{
	if (Bowtie.preferenceForKey("hideProgress") == "on")
	{
		document.getElementById("progressButton").classList.remove("on");
		document.getElementById("content").classList.remove("noProgress");
		Bowtie.setPreferenceForKey("off", "hideProgress");
	}
	
	else
	{
		document.getElementById("progressButton").classList.add("on");
		document.getElementById("content").classList.add("noProgress");
		Bowtie.setPreferenceForKey("on", "hideProgress");
	}
}




















/* Shuffle

function fixShuffle()
{
	Player.shuffle(shuffle);

	if ( shuffle = true)
	{
		document.getElementById("Shuffle").src = "images/Shuffle_on.png";
	}
	
	else
	{
		document.getElementById("Shuffle").src = "images/Shuffle_off.png";
	}
}


function setShuffle()
{
	Player.shuffle(shuffle);

	if (shuffle = true)
	{
		document.getElementById("ShuffleButton").src = "images/Shuffle_off.png";
		Player.setShuffle();
	}
	
	else
	{
		document.getElementById("ShuffleButton").src = "images/Shuffle_on.png";
		Player.setShuffle(shuffle)
	}
}
*/



















